{
  "response": {
    "result": [
      {
        "cards": [
          {
            "card_id": "4b5b8c71-58d2-3f26-abce-318e3d3a01d6",
            "rendering_engine": "custom",
            "type": "MORNING_NIGHT",
            "type_display_name": "Set Alarm",
            "ttl": 1519771568,
            "layout": {
              "template": "morning_night"
            },
            "data": {},
            "modules": {},
            "reason": "",
            "notify": false,
            "ranking_arguments": {
              "USER_LOCATION:OTHER": 1.0,
              "USER_SPEED:STILL": 1.0,
              "TIME_OF_DAY_RANGE:NIGHT": 1.0,
              "STREAM_TYPE:MAIN": 1.0,
              "rule_score": 3.0,
              "TIER": 3.0,
              "score": 0.5
            },
            "instrumentation": {
              "rid": "a2u4t81d96f5g",
              "bucket": "ga"
            }
          },
          {
            "card_id": "83a014c3-c0a4-3242-b5a8-79d011b677d6",
            "rendering_engine": "custom",
            "type": "WEATHER",
            "type_display_name": "Weather",
            "ttl": 1519771568,
            "layout": {
              "template": "weather"
            },
            "data": {},
            "modules": {},
            "reason": "",
            "notify": false,
            "ranking_arguments": {
              "TIME_OF_DAY_RANGE:NIGHT": 1.0,
              "STREAM_TYPE:MAIN": 1.0,
              "rule_score": 3.0,
              "TIER": 3.0,
              "score": 0.25
            },
            "instrumentation": {
              "rid": "a2u4t81d96f5g",
              "bucket": "ga"
            }
          },
          {
            "card_id": "c81eac4b-4553-3d60-85a6-178968bd5065",
            "rendering_engine": "custom",
            "type": "NEWS_DIGEST",
            "type_display_name": "News Digest",
            "ttl": 1519771568,
            "layout": {
              "template": "news_digest"
            },
            "data": {},
            "modules": {},
            "reason": "",
            "notify": false,
            "ranking_arguments": {
              "TIME_OF_DAY_RANGE:NIGHT": 1.0,
              "STREAM_TYPE:MAIN": 1.0,
              "rule_score": 2.0,
              "TIER": 2.0,
              "score": 0.25
            },
            "instrumentation": {
              "rid": "a2u4t81d96f5g",
              "bucket": "ga"
            }
          },
          {
            "card_id": "bcacee7a-d79a-3e4e-a5b8-77c5b6480a8c",
            "rendering_engine": "custom",
            "type": "CALENDAR",
            "type_display_name": "Calendar",
            "ttl": 1519771568,
            "layout": {
              "template": "calendar"
            },
            "data": {},
            "modules": {},
            "reason": "",
            "notify": false,
            "ranking_arguments": {
              "USER_LOCATION:OTHER": 1.0,
              "TIME_OF_DAY_RANGE:NIGHT": 1.0,
              "STREAM_TYPE:MAIN": 1.0,
              "rule_score": 2.0,
              "TIER": 2.0,
              "score": 0.25
            },
            "instrumentation": {
              "rid": "a2u4t81d96f5g",
              "bucket": "ga"
            }
          },
          {
            "card_id": "9953c0e9-5b77-3162-bcf4-e19fcd1f541f",
            "rendering_engine": "custom",
            "type": "VENUE_INFO",
            "type_display_name": "Venues",
            "ttl": 1519602368,
            "layout": {
              "template": "venue_info"
            },
            "data": {
              "name": "Cruachan Power Station",
              "category": "Scenic Lookout",
              "iconUrl": "https://ss3.4sqi.net/img/categories_v2/building/default_64.png",
              "id": "4c233b549a67a5937ea7dd87",
              "provider": "foursquare",
              "tips": [
                "Bring your O2 or Vodafone phone so you can actually get a signal to check in!",
                "a good exscuse for a check in!"
              ],
              "images": [
                "https://igx.4sqi.net/img/general/612x612/16198007__KficeTL_D2tiqT7Zgu3wJyiL0485yVS_uNYAtCHOxw.jpg",
                "https://igx.4sqi.net/img/general/612x612/16198007_gXoDHf06UwW-n-hUe8ul5udJut2DDZ7GocGN0Akn6IA.jpg",
                "https://igx.4sqi.net/img/general/640x480/cWA5MDOAyYCEqszteU7y4Fgq3W9ngKrNaXNIF3VraEc.jpg",
                "https://igx.4sqi.net/img/general/537x720/4442790_8SNrTl-wGnc9c6Ds7bHdcZeqbT9T-ScMw36KErzLDhU.jpg",
                "https://igx.4sqi.net/img/general/720x960/4353161_Rr_HCB-pEhemJxkBAmH5wWN68rju4MhbtEahLFa8trk.jpg"
              ],
              "address": "A85",
              "city": "Dalmally",
              "state": "",
              "zip": "PA33 1AN",
              "twitter": {
                "handle": null,
                "viewIntent": null,
                "tweetIntent": null
              },
              "yelp": {
                "url": "https://m.yelp.com/biz/cruachan-power-station-visitor-centre-dalmally?adjust_creative=ogmBMO91tbdmscbTIaQEdA&utm_campaign=yelp_api&utm_medium=api_v2_search&utm_source=ogmBMO91tbdmscbTIaQEdA",
                "rating": 4.5,
                "reviewCount": 2,
                "viewIntent": "https://m.yelp.com/biz/cruachan-power-station-visitor-centre-dalmally?adjust_creative=ogmBMO91tbdmscbTIaQEdA&utm_campaign=yelp_api&utm_medium=api_v2_search&utm_source=ogmBMO91tbdmscbTIaQEdA#Intent;action=android.intent.action.VIEW;end"
              }
            },
            "modules": {},
            "reason": "",
            "notify": false,
            "ranking_arguments": {
              "poi_latitude": 56.39449115920086,
              "poi_longitude": -5.1161516920810755,
              "USER_LOCATION:OTHER": 1.0,
              "req_longitude": -5.11662,
              "req_latitude": 56.3946,
              "STREAM_TYPE:MAIN": 1.0,
              "USER_LOCATION_POI_CONFIDENCE:HIGH": 1.0,
              "rule_score": 0.0,
              "TIER": 0.0,
              "USER_DIST_FROM_REQ_LOC:WITHIN_100M": 1.0,
              "score": 0.25
            },
            "instrumentation": {
              "rid": "a2u4t81d96f5g",
              "bucket": "ga"
            }
          },
          {
            "card_id": "eea4f59a-e8a2-3e12-a917-96e254c416d5",
            "rendering_engine": "custom",
            "type": "VENUE_CHOOSER",
            "type_display_name": "Around Me",
            "ttl": 1519602368,
            "layout": {
              "template": "venue_chooser"
            },
            "data": {
              "venues": [
                {
                  "name": "Lochawe",
                  "category": "River",
                  "iconUrl": "https://ss3.4sqi
